#include <iostream>
using namespace std;

    int meres[16]={36, 48, 39, -1, 30, 43, -1, 76, 67, 82, 73, 75, 64, 73, 69, 63};
int main(){
    int osszes=0;
    int ora=6, perc, db=0, maxind=0;

    cout<<"2. feladat"<<endl;
    for(int i=0; i<16; i++)
        if (meres[i]!=-1)osszes+=meres[i];
    cout<<"Osszesen "<<osszes<<" kerekparost szamoltak."<<endl;

    cout<<endl<<"3. feladat"<<endl;
    cout<<"Orankenti meresek:"<<endl;
    for(int i=0; i<16; i++){
        if (meres[i]!=-1)db+=meres[i];
        if (i%4==3){
            cout<<ora<<" oratol "<<db<<" kerekparos"<<endl;
            ora++;
            db=0;
        }
    }

    cout<<endl<<"4. feladat"<<endl;
    for(int i=0; i<16; i++)
        if(meres[i]>meres[maxind])maxind=i;
    ora=6+(maxind+1)/4;
    perc=(maxind+1)%4 * 15;
    cout<<"Az athaladok maximalis szama: "<<meres[maxind]<<"; a rogzites idopontja: "<<ora<<":"<<perc<<"."<<endl;

    return 0;
}
